Execute wpa_supplicant on Android 5.1 or higher

Stefano Cappa stefano.cappa at polimi.it
Sun Aug 30 19:40:57 EDT 2015


Hi,
i’ve a problem.

I started wpa_supplicant manually on Nexus 5 in this way:
-I modified the wpa_supplicant.conf with this line: ctrl_interface=/data/misc/wifi/sockets
-And finally I started wpa_supplicant specifying the network interface and the config file.
-Everything was ok, on Android 5.0.2.

But now, on Android 5.1.1 (Nexus5), I can’t do that, because in "/data/misc/wifi/sockets” there aren’t sockets (like wlan0, p2p0).
How can i start wpa_supplicant on 5.1?


PS: with a Nexus 9, this happens also with Android 5.0, only on a Nexus5 this problem appears with 5.1

Thank you,
Stefano


More information about the HostAP mailing list